CRC64Checksum (BioJava-1.5-beta API)
Keywords: org.biojavax.utils.CRC64Checksum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.utils
Class CRC64Checksum

    java.lang.Object
      org.biojavax.utils.CRC64Checksum

All Implemented Interfaces:
  Checksum

    public class CRC64Checksum

extends Object
implements Checksum

Utility class that calculates a CRC64 checksum on a stream of bytes. Code was based on some from BioPerl. Note that we use longs then cast them to avoid the lack of an unsigned int in Java. Longs are 64-bit but we are only using the bottom 32 bits. An int is 32-bit but encodes sign so we can get amusing results if we don't allow for this.

Since:
  1.5
Author:
  Richard Holland, Hilmar Lapp

Constructor Summary
`CRC64Checksum()` Creates a new instance of CRC64Checksum.

Method Summary
`long` | `getValue()`
`void` | `reset()`
`String` | `toString()` Form: the current CRC64Checksum checksum as a 16-digit hex string.
`void` | `update(byte[] values, int offset, int len)`
`void` | `update(int c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRC64Checksum

    public CRC64Checksum()

  Creates a new instance of CRC64Checksum.

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `Checksum`

### update

    public void update(int c)

  Specified by:
    `update` in interface `Checksum`

### update

    public void update(byte[] values,
                       int offset,
                       int len)

  Specified by:
    `update` in interface `Checksum`

### getValue

    public long getValue()

  Specified by:
    `getValue` in interface `Checksum`

### toString

    public String toString()

  Form: the current CRC64Checksum checksum as a 16-digit hex string.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD